Package org.eclipse.jdt.core.util

## Interface IRuntimeInvisibleTypeAnnotationsAttribute

All Superinterfaces:
  `IClassFileAttribute`

    public interface IRuntimeInvisibleTypeAnnotationsAttribute
    extends IClassFileAttribute

Description of a runtime invisible type annotations attribute as described in the JVM specifications (added in JavaSE-1.8). This interface may be implemented by clients.

Since:
  3.10

### Method Summary

All Methods Instance Methods Abstract Methods
`IExtendedAnnotation[]` `getExtendedAnnotations()` Answer back the extended annotations.
`int` `getExtendedAnnotationsNumber()` Answer back the number of extended annotations as described in the JVM specifications.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

### Method Detail

#### getExtendedAnnotationsNumber

    int getExtendedAnnotationsNumber()

Answer back the number of extended annotations as described in the JVM specifications.

Returns:
  the number of extended annotations

#### getExtendedAnnotations

    IExtendedAnnotation[] getExtendedAnnotations()

Answer back the extended annotations. Answers an empty collection if none.

Returns:
  the extended annotations